/*
 * wmmge header file
 *
 *		wmmge dockapp for windowMaker
 *
 * Copyright (C) 2001 bennyben (benoit bourdin) 
 *   <bennybben@caramail.com>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */


#ifndef _WMMGE_H_
#define _WMMGE_H_

#ifndef bool
	typedef unsigned char bool;
#	define true	1
#	define false	0
#endif


#define WMMGE_MAX_CLOCK	999999

#define WMMGE_ALERT_DELAY	60

#define WMMGE_GETLOAD_CMD	"sendups -cmd Bn | cut -d'[' -f3 | cut -d']' -f1"
#define WMMGE_GETSTATUS_CMD	"sendups -cmd Ss | cut -d'[' -f3 | cut -c 1"
#define WMMGE_MAX_CMD		100

#define WMMGE_TMP_LOAD_FILE	"/tmp/.__wmmge-load__"
#define WMMGE_TMP_STATUS_FILE	"/tmp/.__wmmge-state__"

#define WMMGE_READ_MAX		10
 
	/* structures */
struct wmmge_events
{
	int event;
	void (*exec);
};

	/* global variables */
extern unsigned int wmmge_remaining_time;
extern unsigned int wmmge_clock;
extern bool wmmge_powerfail;

	/* constants */
extern const int wmmge_refresh_delay;
	/* tables */
extern const struct wmmge_events wmmge_event_table[];


	/* main functons */
void process_events();
void refresh_display();
void get_infos();
	/* callbacks */
void OnExpose();
void OnDestroyNotify();
void OnButtonPress();
void OnButtonRelease();
	/* display functions */
void disp_remaining_time(bool flash);
void disp_back(bool flash);
void disp_figure(unsigned int n,unsigned int x, unsigned int y, bool flash);
void disp_socket(bool flash);

#endif
